TAIL(1)

NAZWA
tail - wypisuje końcową część plików

SKŁADNIA
tail [OPCJA]... [PLIK]...

OPIS

Wypisuje ostatnie 10 wierszy każdego PLIKU na standardowe wyjście. W przypadku podania więcej niż jednego PLIKU, poprzedza każdą część nagłówkiem z nazwą pliku. Jeśli nie podano PLIKU lub jako PLIK wpisano -, odczytywane jest standardowe wejście.

Argumenty, które są obowiązkowe dla długich opcji, są również obowiązkowe dla krótkich.

-c, --bytes=K
    wypisuje końcowe K bajtów; można również użyć -c +K, aby wypisać końcowe bajty zaczynając od K-tego bajtu każdego pliku

-f, --follow[={name|descriptor}]
    wyświetla dodane dane, w miarę rośnięcia pliku; odpowiednikami są -f, --follow i --follow=descriptor

-F  równoważne --follow=name --retry

-n, --lines=K
    wypisuje ostatnie K wierszy zamiast domyślnych 10; można również użyć -n +K, aby wypisać wiersze zaczynając od K-tego

--max-unchanged-stats=N
    z opcją --follow=name, otwiera ponownie PLIK, który nie zmienił rozmiaru po N (domyślnie 5) iteracjach, aby sprawdzić, czy nie został usunięty lub przemianowany (co zdarza się często w przypadku rotacji logów). Z inotify ta opcja z reguły nie jest przydatna.

--pid=PID
    z opcją -f, przerywa po zakończeniu procesu od danym identyfikatorze PID

-q, --quiet, --silent
    nigdy nie wypisuje nagłówków z nazwami plików

--retry
    próbuje wciąż otworzyć plik, nawet jeśli jest, lub stanie się, niedostępny; użyteczne jeśli plik jest śledzony według nazwy np. z opcją --follow=name

-s, --sleep-interval=N
    z opcją -f, czeka około N sekund (domyślnie 1.0) pomiędzy kolejnymi iteracjami. Z inotify i --pid=P, sprawdza proces P przynajmniej raz, co N sekund.

-v, --verbose
    zawsze wyświetla nagłówki z nazwami plików

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

Jeśli pierwszym znakiem K (liczby bajtów lib wierszy) jest +, to wypisywany jest początek pliku, zaczynając od N-tego elementu każdego pliku; w przeciwnym wypadku wypisywane jest ostatnie K elementów pliku. K może posiadać przyrostek mnożący: b 512, kB 1000, K 1024, MB 1000*1000, M 1024*1024, GB 1000*1000*1000, G 1024*1024*1024, itd. dla T, P, E, Z, Y.

Z opcją --follow (-f) tail domyślnie podąża za deskryptorem pliku co oznacza, że nawet gdy dany plik zostanie przemianowany, tail wciąż będzie śledził jego koniec. Domyślne zachowanie jest niepożądane, gdy śledzona ma być faktyczna nazwa pliku, a nie jego deskryptor (np. plik logu, który podlega rotacji). Proszę użyć w takim wypadku opcji --follow=name. Efektem będzie śledzenie przez taila nazwy pliku w sposób uwzględniający zmianę nazwy, usuwanie i tworzenie pliku.

AUTOR
Napisane przez Paula Rubina, Davida MacKenzie, Iana Lance Taylora i Jima Meyeringa.

ZGŁASZANIE BŁĘDÓW
Zgłoszenia błędów w tail proszę wysyłać (po angielsku) na adres bug-coreutils@gnu.org
Strona internetowa GNU coreutils: <http://www.gnu.org/software/coreutils/>
Ogólna pomoc dotycząca oprogramowania GNU: <http://www.gnu.org/gethelp/>
Zgłoszenia błędów w tłumaczeniu tail proszę wysyłać na adres <http://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2013 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <http://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
Pełna dokumentacja tail jest dostępna w formacie Texinfo. Jeśli programy info i tail są poprawnie zainstalowane, to polecenie

    info coreutils 'tail invocation'

powinno dać dostęp do pełnego podręcznika.

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Gwidon S. Naskrent (PTM) <naskrent@hoth.amu.edu.pl>, Wojtek Kotwica (PTM) <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 8.21 oryginału.